%global         momorel 4

Name:           perl-Mail-SPF
Version:        2.9.0
Epoch:          1
Release:        %{momorel}m%{?dist}
Summary:        Object-oriented implementation of Sender Policy Framework
License:        BSD
Group:          Development/Libraries
URL:            http://search.cpan.org/dist/Mail-SPF/
Source0:        http://www.cpan.org/authors/id/J/JM/JMEHNLE/mail-spf/Mail-SPF-v%{version}.tar.gz
NoSource:       0
BuildRoot:      %{_tmppath}/%{name}-%{version}-%{release}-root-%(%{__id_u} -n)
BuildArch:      noarch
BuildRequires:  perl >= 5.006
BuildRequires:  perl-Error
BuildRequires:  perl-Module-Build
BuildRequires:  perl-NetAddr-IP >= 4
BuildRequires:  perl-Net-DNS >= 0.62
BuildRequires:  perl-Net-DNS-Resolver-Programmable >= 0.003
BuildRequires:  perl-Test-More
BuildRequires:  perl-URI >= 1.13
BuildRequires:  perl-version
Requires:       perl-Error
Requires:       perl-NetAddr-IP >= 4
Requires:       perl-Net-DNS >= 0.62
Requires:       perl-URI >= 1.13
Requires:       perl-version
Requires:       perl(:MODULE_COMPAT_%(eval "`%{__perl} -V:version`"; echo $version))

## if you want to execute test, turn on do_test by specopt
%{?include_specopt}
%{?!do_test: %global do_test 0}

%description
Mail::SPF is an object-oriented implementation of Sender Policy Framework
(SPF). See http://www.openspf.net for more information about SPF.

%prep
%setup -q -n Mail-SPF-v%{version}

%build
%{__perl} Build.PL installdirs=vendor
./Build

%install
rm -rf %{buildroot}

./Build install destdir=%{buildroot} create_packlist=0
find %{buildroot} -depth -type d -exec rmdir {} 2>/dev/null \;

chmod -R u+rwX,go+rX,go-w %{buildroot}/*

## remove unwanted files
rm -fr %{buildroot}%{_bindir}/
rm -fr %{buildroot}%{_sbindir}/
rm -fr %{buildroot}%{_mandir}/man1/

%check
%if %{do_test}
./Build test
%endif

%clean
rm -rf %{buildroot}

%files
%defattr(-,root,root,-)
%doc CHANGES debian LICENSE README sbin TODO
%{perl_vendorlib}/Mail/SPF
%{perl_vendorlib}/Mail/SPF.pm
%{_mandir}/man3/*

%changelog
* Sun Jun 29 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1:2.9.0-4m)
- rebuild against perl-5.20.0

* Mon Feb 10 2014 NARITA Koichi <pulsar@momonga-linux.org>
- (1:2.9.0-3m)
- rebuild against perl-5.18.2

* Sat Aug 17 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1:2.9.0-2m)
- rebuild against perl-5.18.1

* Thu Jul 25 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1:2.9.0-1m)
- update to 2.9.0

* Mon May 20 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1:2.8.0-6m)
- rebuild against perl-5.18.0

* Sat Mar 16 2013 NARITA Koichi <pulsar@momonga-linux.org>
- (1:2.8.0-5m)
- rebuild against perl-5.16.3

* Fri Nov  2 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1:2.8.0-4m)
- rebuild against perl-5.16.2

* Sat Aug 11 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1:2.8.0-3m)
- rebuild against perl-5.16.1

* Sun Jul  8 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1:2.8.0-2m)
- rebuild against perl-5.16.0

* Sat Mar 10 2012 NARITA Koichi <pulsar@momonga-linux.org>
- (1:2.8.0-1m)
- update to 2.8.0

* Wed Oct  5 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.007-11m)
- rebuild against perl-5.14.2

* Thu Jun 23 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.007-10m)
- rebuild against perl-5.14.1

* Thu May 05 2011 NARITA Koichi <pulsar@momonga-linux.org>
- (2.007-9m)
- rebuild against perl-5.14.0-0.2.1m

* Mon Apr 11 2011 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.007-8m)
- rebuild for new GCC 4.6

* Sun Nov 28 2010 Hiromasa YOSHIMOTO <y@momonga-linux.org>
- (2.007-7m)
- rebuild for new GCC 4.5

* Sun Sep 26 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.007-6m)
- rebuild against perl-5.12.2

* Tue Aug 31 2010 Yohsuke Ooi <meke@momonga-linux.org>
- (2.007-5m)
- full rebuild for mo7 release

* Tue May 18 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.007-4m)
- rebuild against perl-5.12.1

* Fri Apr 16 2010 NARITA Koichi <pulsar@momonga-linux.org>
- (2.007-3m)
- rebuild against perl-5.12.0

* Sat Nov 14 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.007-2m)
- rebuild against gcc-4.4 and glibc-2.11

* Sun Nov  1 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.007-1m)
- update to 2.007

* Mon Aug 24 2009 NARITA Koichi <pulsar@momonga-linux.org>
- (2.006-3m)
- rebuild against perl-5.10.1

* Wed Jan 21 2009 NAKAYA Toshiharu <nakaya@momonga-linux.org>
- (2.006-2m)
- rebuild against rpm-4.6

* Mon Aug 25 2008 NARITA Koichi <pulsar@momonga-linux.org>
- (2.006-1m)
- update to 2.006

* Thu Apr 03 2008 TABUCHI Takaaki <tab@momonga-linux.org>
- (2.005-2m)
- rebuild against gcc43

* Sun Jul 29 2007 NARITA Koichi <pulsar@momonga-linux.org>
- (2.005-1m)
- Specfile autogenerated by cpanspec 1.73 for Momonga Linux.
